Bug 320617 - SMTP tab does not warn about storing passwords
Summary: SMTP tab does not warn about storing passwords
Status: RESOLVED FIXED
Alias: None
Product: trojita
Classification: Unclassified
Component: Desktop GUI (show other bugs)
Version: 0.3.93
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Trojita default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-02 15:31 UTC by Pepijn de Vos
Modified: 2013-06-10 10:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pepijn de Vos 2013-06-02 15:31:44 UTC
In the IMAP tab, entering a password tells you it'll be saved in plain text.

In the SMTP tab nothing happens, but I assume my password is still stored in plaintext.

Reproducible: Always

Steps to Reproduce:
1. enter SMTP password
2. notice lack of warning
Actual Results:  
no warning

Expected Results:  
big fat warning.

or explain how for SMTP the password is stored encrypted, if that's the case.
Comment 1 Pali Rohár 2013-06-08 21:43:30 UTC
This patch show big fat warning that smtp password is stored in plaintext:
http://commits.kde.org/clones/trojita/pali/trojita/cf4da919278705589d84baecc8e091ac1104ceb1
Comment 2 Pali Rohár 2013-06-10 10:24:26 UTC
Git commit c29017dab2ed3bec3fbbbfd6a12dacacf740bffe by Pali Rohár.
Committed on 10/06/2013 at 12:22.
Pushed by pali into branch 'master'.

Show big fat warning that smtp password will be saved on disk in clear text
REVIEW: 110904

M  +8    -0    src/Gui/SettingsDialog.cpp
M  +1    -0    src/Gui/SettingsDialog.h
M  +18   -8    src/Gui/SettingsOutgoingPage.ui

http://commits.kde.org/trojita/c29017dab2ed3bec3fbbbfd6a12dacacf740bffe